## org.eclipse.datatools.modelbase.sql.datatypes
Interface CollectionDataType

All Superinterfaces:
  ConstructedDataType, DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  ArrayDataType, MultisetDataType, SQLQueryArrayDataType, SQLQueryMultisetDataType

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.datatypes.impl.ArrayDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.CollectionDataTypeImpl, org.eclipse.datatools.modelbase.sql.datatypes.impl.MultisetDataTypeImpl, SQLQueryArrayDataTypeImpl, SQLQueryMultisetDataTypeImpl

    public interface CollectionDataType

extends ConstructedDataType

A representation of the model object 'Collection Data Type'. Reference: 5WD-02-Foundation-2002-12 4.10 Collection Types

The following features are supported:

- `Element Type`

See Also:
  `SQLDataTypesPackage.getCollectionDataType()`

Method Summary
`org.eclipse.emf.common.util.EList` `getElement()` Deprecated. As of release DTP 1.8, this method has been replaced by `getElementType()` and `setElementType(ElementType newElementType)`
`ElementType` `getElementType()` Returns the value of the 'Element Type' containment reference.
`void` `setElementType(ElementType value)` Sets the value of the '`Element Type`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getElementType

    ElementType getElementType()

  Returns the value of the 'Element Type' containment reference. It is bidirectional and its opposite is '`Collection Data Type`'.

  If the meaning of the 'Element Type' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Type' containment reference.
  See Also:
    `setElementType(ElementType)`, `SQLDataTypesPackage.getCollectionDataType_ElementType()`, `ElementType.getCollectionDataType()`

### setElementType

    void setElementType(ElementType value)

  Sets the value of the '`Element Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Element Type' containment reference.
  See Also:
    `getElementType()`

### getElement

    @Deprecated
    org.eclipse.emf.common.util.EList getElement()

  Deprecated. As of release DTP 1.8, this method has been replaced by `getElementType()` and `setElementType(ElementType newElementType)`

  Sets the value of the '`Element Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Element Type' containment reference.